DynFlags

# Dynamic flags and associated configuration types

data DynFlag

data WarningFlag

data ExtensionFlag

type LogAction

data ProfAuto

glasgowExtsFlags

dopt

dopt_set

dopt_unset

wopt

wopt_set

wopt_unset

xopt

xopt_set

xopt_unset

data DynFlags

data RtsOptsEnabled

data HscTarget

isObjectTarget

defaultObjectTarget

targetRetainsAllBindings

data GhcMode

isOneShot

data GhcLink

isNoLink

data PackageFlag

data Option

showOpt

data DynLibLoader

fFlags

fWarningFlags

fLangFlags

xFlags

wayNames

dynFlagDependencies

## Safe Haskell

data SafeHaskellMode

safeHaskellOn

safeImportsOn

safeLanguageOn

safeInferOn

packageTrustOn

safeDirectImpsReq

safeImplicitImpsReq

unsafeFlags

## System tool settings and locations

data Settings

targetPlatform

ghcUsagePath

ghciUsagePath

topDir

tmpDir

rawSettings

extraGccViaCFlags

systemPackageConfig

pgm_L

pgm_P

pgm_F

pgm_c

pgm_s

pgm_a

pgm_l

pgm_dll

pgm_T

pgm_sysman

pgm_windres

pgm_lo

pgm_lc

opt_L

opt_P

opt_F

opt_c

opt_a

opt_l

opt_windres

opt_lo

opt_lc

## Manipulating DynFlags

defaultDynFlags

initDynFlags

defaultLogAction

getOpts

getVerbFlags

updOptLevel

setTmpDir

setPackageName

doingTickyProfiling

## Parsing DynFlags

parseDynamicFlagsCmdLine

parseDynamicFilePragma

allFlags

supportedLanguagesAndExtensions

## DynFlag C compiler options

picCCOpts

# Configuration of the stg-to-stg passes

data StgToDo

getStgToDo

# Compiler configuration suitable for display to the user

compilerInfo

rtsIsProfiled